#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xE2,0x97,0x7E,0x53,0xEA,0x9C,0xEE,0xB2,0xFA,0x16,0xCB,0xD7,
		0xCD,0x9B,0x92,0x4D,0x18,0x0E,0x2E,0xAC,0xF8,0x46,0xE0,0xC2,
		0xC1,0x5B,0x80,0xFC,0x52,0xCD,0x66,0x85,0x1B,0x45,0x5B,0x7E,
		0x5B,0xF1,0x04,0xFF,0x43,0x75,0x26,0x38,0x54,0xDA,0x2A,0x80,
		0xF7,0x84,0x41,0xFE,0xCB,0xBA,0x7F,0xC8,0x9E,0x49,0x9C,0xD7,
		0x50,0x15,0x20,0x53,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
